;+
; CUBEOBJECT::LOCATEQCPS
;
; Intent:
;        Find where Bx = By = 0 on surface of data cube
;
; History:
;        CB, October 2006
;-

pro cubeObject::LocateQCPs 

self -> findCrossings, /bottom
self -> findCrossings, /left
self -> findCrossings, /back
self -> findCrossings, /right
self -> findCrossings, /front
self -> findCrossings, /top

self -> checkModifiedEuler, /twod

end
