;+
; FINDCROSSINGS
;
; Intent:
;        Kinda complicated. Got two sets of curves (ptrarrs), need to check
;        them pairwise for crossings.
;
; History:
;        CB, October 2006
;-

function findcrossings, xc, yc, cp =cp

nx = n_elements(xc)
ny = n_elements(yc)

cp = [0,0.]

for i =0, nx-1 do begin
    for j = 0, ny-1 do begin
        n = noOfCrossings(*xc[i], *yc[j], cross = cross)
        if n gt 0 then begin
            cp = [[cp],[cross]]
        endif
    endfor
endfor
if n_elements(cp) eq 2 then return, 0
cp = cp[*,1:*]
return, n_elements(cp[0,*])

end
            
