;+
; CONTOURS2CURVES
;
; Intent:
;        Take output of contour and turn it into 2D curves
;
; History:
;        CB, October 2006
;-

function contours2curves, xy, info

n = n_elements(info)
out = ptrarr(n)
for i =0,n-1 do begin
    ii = info[i]
    c = xy[*,ii.offset:ii.offset + ii.n-1]
    if ii.type eq 1 then begin
        c = [[c],[c[*,0]]]
    endif
    out[i] = ptr_new(c)
endfor
return, out

end

