;+
; CUBEOBJECT::CORRECTX
;
; Intent:
;        Catch him when he's straying, like any brother would
;        Also returns field, because that's useful
;
; History:
;        CB, October 2006
;-

function cubeobject::CorrectX, x, dx, b=b

tdx2 = total(dx^2)
b = self->calcfield(x)
b2 = total(b[0:1]^2)
fac = 1.
if randomu(s) gt b2 then return, x
repeat begin
    db = self->calcderivs(x)
    aa  = crossp(db[*,0],dx)
    bb  = crossp(db[*,1],dx)
    mu = -b[0] / total(db[0,*] * bb)
    lam= -b[1] / total(db[1,*] * aa)

    dxx = mu*bb + lam*aa
    tdxx2 = total(dxx^2)
    if tdxx2 gt tdx2 then begin
        dxx = normalise(dxx) * replicate(sqrt(tdx2),3)
        fac = 0.8 * fac
        ;return, x + dxx * fac
    endif
    x = x + dxx	* fac
    b = self->calcfield(x)
    if b2 gt total(b[0:1]^2) then done = 1 else begin
	done = 0
	x = x - dxx * fac
	fac  = fac * 0.8
    endelse
endrep until done eq 1 or fac lt 0.01
return, x

end
